CVE-2021-40690

NameCVE-2021-40690
DescriptionAll versions of Apache Santuario - XML Security for Java prior to 2.2. ...
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-2767-1
Debian Bugs994569

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
libxml-security-java (PTS)jessie1.5.6-1vulnerable
stretch1.5.8-2vulnerable
stretch (security)1.5.8-2+deb9u1fixed
buster, bullseye2.0.10-2vulnerable
sid, bookworm2.1.7-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
libxml-security-javasourcejessie(unfixed)end-of-life
libxml-security-javasourcestretch1.5.8-2+deb9u1DLA-2767-1
libxml-security-javasource(unstable)2.1.7-1994569

Notes

https://santuario.apache.org/secadv.data/CVE-2021-40690.txt.asc

Search for package or bug name: Reporting problems